Actualización del servidor web de 14.04 a 20.04 (no se puede cargar el error de la página web: no se puede cargar el controlador de la base de datos: MYSQLI) -- server campo con upgrade campo con apache2 campo con php campo con lamp camp askubuntu Relacionados El problema

Web Server Upgrade from 14.04 to 20.04 ( can't load web page error: Unable to load Database Driver: mysqli)


0
vote

problema

Español

Necesito mucha ayuda, solo quiero decir primero que soy un novato con servidor web. Mi jefe me pidió que actualizara nuestro servidor web a la última versión Ubuntu 20.04 LTS, ya que el viejo funcionaba con 14.04 (bastante viejo). He instalado la pila de distribución y lámpara en mi escritorio, ya que me gustaría probarlo primero con mi propia computadora antes de tocar el servidor. He instalado Apache2, PHP7.4.3 y MySQL 8.0, sin embargo, las versiones que se ejecutan en el servidor anterior son realmente antiguas PHP5 y MySQL5. He copiado todos los archivos, VAR / www / y config, etc. / apache2, luego creó un volcado de SQL y emigró a la nueva base de datos MySQL (me aseguré de que los permisos sean los mismos con el servidor anterior). Sin embargo, después de todas las horas de investigación y migración, no fue un éxito. Cada vez que carga localhost, solo me da un mensaje de error;

Error de la base de datos: No se puede cargar el controlador de la base de datos: MYSQLI

y mi base de datos MySQL dice:

Información de la tabla de lectura para completar los nombres de la tabla y la columna Puede desactivar esta función para obtener una puesta en marcha más rápida con -A

Base de datos cambiada

Por favor, en este punto, realmente apreciaré cualquier consejo o ayuda que pueda darme. He estado trabajando en esta migración durante semanas ahora.

Original en ingles

I badly need help, I just want to say first that I am a newbie with web server. My boss was asking to me to upgrade our web server to the latest version UBUNTU 20.04 LTS as the old was running with 14.04 ( pretty old). I've installed the distribution and LAMP Stack on my desktop as I would like to try it first with my own computer before touching the server. I've installed Apache2, PHP7.4.3 and mySQL 8.0 however the versions running on the old server are really old PHP5 and mySQL5. I've copied all the files, var/www/ and config etc/apache2 then created an sql dump and migrated to the the new mysql database (I made sure that permissions are the same with the old server). However, after all the hours of research and migration it was to no success. Everytime I load localhost it's only giving me an error message;

Database Error: Unable to load Database Driver: mysqli

and my mysql database says:

Reading table information for completion of table and column names You can turn off this feature to get a quicker startup with -A

Database changed

Please, at this point I will really appreciate any advise or help that you can give me. I've been working on this migration for weeks now.

              
         
         

Lista de respuestas


Relacionados problema

128  ¿Cuál es la forma más fácil de configurar una pila de lámpara?  ( Whats the easiest way to set up a lamp stack ) 
Configuré una nueva instancia de Ubuntu y me pregunto cuál es la forma más fácil de subir y ejecutar con una pila de lámpara básica (es decir, que se requiere...

7  http: // localhost / no funciona  ( Http localhost not working ) 
Acabo de hacer una nueva instalación de la lámpara Ubuntu (10.04.1) más (a través de ABCDEFGHIJKLMNABCDEFGHIJKLMN0 ) y todo está funcionando bien. Sin embarg...

0  500 ERROR en el archivo index.php. Todos los demás archivos PHP están funcionando bien [CERRADO]  ( 500 error on index php file all other php files are working well ) 
Es poco probable que esta pregunta ayude a cualquier visitante futuro; Solo es relevante para un pequeño área geográfica, u...

0  El estado de Apache de repente se detiene  ( Apache status suddenly stops ) 
Tengo un problema con mi Apache, estoy ejecutando Ubuntu Server 12.04 en un VPS. Tengo una pila de lámpara básica, mi problema es esto, cada pocos días Apache...

1  Crea un comando Pseudo para Lampp XAMPP  ( Create a pseudo command for lampp xampp ) 
¿Cómo creo un comando psuedo para el terminal? El comando básico para Lampp es: sudo /opt/lampp/lampp start Pero no quiero escribir esto cada vez, as...

0  "Xampp: No pudo iniciar MySQL" en Ubuntu 64bit  ( Xampp couldnt start mysql on ubuntu 64bit ) 
I instalé Lampp con estas instrucciones , pero phpmadmin no funcionó Así que traté de desinstalarlo y luego volver a instalarlo y todavía no funciona. Cuando...

0  Error de MySQL después de reiniciar (Lampp)  ( Mysql error after rebooting lampp ) 
No sé si este es el lugar correcto para poner esta pregunta. Instalé Lampp y seguí a estas instrucciones http://www.apachess.org/en /xampp-linux.html#377 y ...

0  ¿Necesita ayuda con el error después de configurar el permiso para guardar cualquier cosa en VAR / www / html?  ( Need help with error after setting permission to save anything in var www html ) 
[ 2.173492] usb 2-1.6: New USB device strings: Mfr=1, Product=2, SerialNumber=3 [ 2.173497] usb 2-1.6: Product: DW375 Bluetooth Module [ 2.173501] u...

3  ¿Cómo configurar PhpMyAdmin como subdominio en Apache 2.4.7?  ( How to setup phpmyadmin as subdomain on apache 2 4 7 ) 
Actualmente estoy teniendo problemas configurando PhpMyAdmin como subdominio. Pude hacer esto en Ubuntu 12.04, no hay problema, pero como la actualización par...

3  ¿Por qué PERL se incluye en la lámpara-servidor ^?  ( Why perl is included into lamp server ) 
Sé que hay muchos métodos y muchas preguntas Acerca de Instalación de lámparas . Sin embargo, no tiene una respuesta para ... ¿Por qué el comando sudo ...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos